/* empty css              */ /* empty css              */ /* empty css              */ /* empty css              */ /* empty css              */ import { C as e } from "./index-d1f6d69a.js";
import "./index-325f2a5d.js";
import { F as t } from "./index-8da36b2b.js";
import {
  _ as a,
  a as s,
  j as l,
  o,
  e as n,
  f as i,
  t as r,
  v as d,
  p as c,
  y as u,
  F as m,
  r as p,
  i as v,
  q as A,
  h as x,
  G as f,
  az as h,
  b3 as g,
  aW as b,
  A as y,
  B as w,
  u as k,
  b as j,
  d as B,
  b4 as C,
  w as $,
  b5 as E,
  c as S,
  aC as I,
  m as T,
  n as U,
  as as V,
  at as Q,
  R as Y,
  b6 as N,
  P as L,
  b7 as W,
  b8 as _,
  b9 as R,
} from "./index-476be0bb.js";
import { _ as z } from "./IMG_7054-e9087211.js";
import { _ as G } from "./wash-7c0edfd9.js";
import { C as J } from "./index-965d54ae.js";
import { a as F, D as M } from "./index-0a638fc2.js";
import { B as D } from "./index-97676c1f.js";
import { u as O } from "./index-dec55e5c.js";
import { c as X } from "./countryCode-16bf7887.js";
import "./use-route-126c4f06.js";
import "./use-id-50eda0ee.js";
import "./use-placeholder-8391a3e3.js";
import "./clipboard-c314aeef.js";
const q = {
    class: "table-container rounded-8 bg-white overflow-hidden min-h-130",
  },
  H = { class: "text-12" },
  Z = { class: "frozen" },
  K = { class: "pl-3" },
  P = { class: "frozen" },
  ee = { class: "frozen" },
  te = ((e) => (y("data-v-df311e97"), (e = e()), w(), e))(() =>
    i("td", null, "ongoing", -1)
  ),
  ae = { key: 0, class: "text-#199D2A" },
  se = { key: 1, class: "text-#E23A30" },
  le = { class: "frozen flex items-center text-white" },
  oe = ["onClick"],
  ne = { key: 0, class: "text-center pt-20 text-14 text-grey" },
  ie = { class: "pt-14" },
  re = a(
    {
      __name: "Table",
      props: { list: { type: Array, default: () => [] } },
      emits: ["refresh"],
      setup(e, { emit: a }) {
        const { t: y } = s(),
          w = l(!1),
          k = l({ phone: "", remark: "" }),
          j = () => {
            (w.value = !1), (k.value = { phone: "", remark: "" });
          },
          B = () => {
            F({
              confirmButtonText: y("确定"),
              message: y("显示绿色指示灯后"),
            }).then(() => {});
          },
          C = () => {
            if ("" === k.value.remark) return f(y("请输入备注"));
            h({ forbidClick: !0, duration: 0 }),
              g(k.value).then((e) => {
                b(),
                  f({
                    message: y("修改成功"),
                    onClose() {
                      (w.value = !1), a("refresh");
                    },
                  });
              });
          };
        return (a, s) => {
          const l = D,
            f = t,
            h = J,
            g = M;
          return (
            o(),
            n("div", q, [
              i("table", null, [
                i("thead", null, [
                  i("tr", H, [
                    i("th", Z, r(a.$t("WhatsApp号码")), 1),
                    i("th", null, [
                      i("span", K, [
                        d(
                          l,
                          { size: "mini", type: "warning", onClick: B },
                          { default: c(() => [u("?")]), _: 1 }
                        ),
                      ]),
                    ]),
                    i("th", null, r(a.$t("在线状态")), 1),
                    i("th", null, r(a.$t("积分")), 1),
                    i("th", null, r(a.$t("备注")), 1),
                    i("th", P, r(a.$t("操作")), 1),
                  ]),
                ]),
                i("tbody", null, [
                  (o(!0),
                  n(
                    m,
                    null,
                    p(
                      e.list,
                      (e) => (
                        o(),
                        n("tr", { key: e.id, class: "text-12" }, [
                          i("td", ee, r(e.phone), 1),
                          te,
                          1 == e.status
                            ? (o(), n("td", ae, r(a.$t("在线")), 1))
                            : v("", !0),
                          1 != e.status
                            ? (o(), n("td", se, r(a.$t("离线")), 1))
                            : v("", !0),
                          i("td", null, r(e.score), 1),
                          i("td", null, r(e.remark), 1),
                          i("td", le, [
                            i(
                              "div",
                              {
                                class: "bg-red ml-6 py-6 px-8 rounded-6",
                                onClick: A(
                                  (t) => {
                                    return (
                                      (a = e),
                                      (w.value = !0),
                                      void (k.value.phone = a.phone)
                                    );
                                    var a;
                                  },
                                  ["stop"]
                                ),
                              },
                              r(a.$t("修改")),
                              9,
                              oe
                            ),
                          ]),
                        ])
                      )
                    ),
                    128
                  )),
                ]),
              ]),
              0 === e.list.length
                ? (o(), n("div", ne, r(a.$t("暂无数据")), 1))
                : v("", !0),
              d(
                g,
                {
                  "confirm-button-text": a.$t("确认"),
                  "cancel-button-text": a.$t("取消"),
                  title: a.$t("修改备注"),
                  class: "change-wrapper",
                  show: x(w),
                  "show-cancel-button": "",
                  onCancel: j,
                  onConfirm: C,
                },
                {
                  default: c(() => [
                    i("div", ie, [
                      d(
                        h,
                        { inset: "" },
                        {
                          default: c(() => [
                            d(
                              f,
                              {
                                modelValue: x(k).remark,
                                "onUpdate:modelValue":
                                  s[0] || (s[0] = (e) => (x(k).remark = e)),
                                label: a.$t("备注"),
                                placeholder: a.$t("请输入备注"),
                              },
                              null,
                              8,
                              ["modelValue", "label", "placeholder"]
                            ),
                          ]),
                          _: 1,
                        }
                      ),
                    ]),
                  ]),
                  _: 1,
                },
                8,
                ["confirm-button-text", "cancel-button-text", "title", "show"]
              ),
            ])
          );
        };
      },
    },
    [["__scopeId", "data-v-df311e97"]]
  ),
  de = (e) => (y("data-v-9591394d"), (e = e()), w(), e),
  ce = { class: "px-14 pt-10 pb-20" },
  ue = {
    class: "flex items-center text-white text-center bg-#5B56E8 rounded-8",
  },
  me = { class: "flex-1 flex items-center justify-center flex-col py-16" },
  pe = { class: "mb-10 text-12" },
  ve = { class: "text-16" },
  Ae = { class: "flex-1 flex items-center justify-center flex-col py-16" },
  xe = { class: "mb-10 text-12" },
  fe = { class: "text-18" },
  he = { class: "flex-1 flex items-center justify-center flex-col py-16" },
  ge = { class: "mb-10 text-12" },
  be = { class: "text-18" },
  ye = { class: "rounded-8 overflow-hidden mt-10 bg-#fff whatbgs h-200" },
  we = { class: "text-center font-600 lh-150 h-100 text-18 text-#5B56E8" },
  ke = { class: "text-center mt-10" },
  je = ["autoplay"],
  Be = [de(() => i("source", { src: z, type: "video/mp4" }, null, -1))],
  Ce = { class: "bg-#fff p-10 rounded-8 overflow-hidden mt-10" },
  $e = { class: "text-13" },
  Ee = { class: "py-0 font-600 mb-10" },
  Se = {
    href: "https://www.whatsapp.com",
    target: "_blank",
    class: "text-#2284F3 text-12",
  },
  Ie = { class: "text-13 mt-20" },
  Te = { class: "py-0 font-600 mb-10" },
  Ue = { class: "text-#aaa text-12" },
  Ve = { class: "rounded-8 bg-white mt-10" },
  Qe = {
    class: "flex items-center justify-between px-12 py-9 van-hairline--bottom",
  },
  Ye = { class: "flex items-center" },
  Ne = de(() => i("img", { class: "w-21", src: G, alt: "" }, null, -1)),
  Le = { class: "ml-8 text-14" },
  We = { class: "p-20 text-13 text-center" },
  _e = { class: "px-14 pb-14" },
  Re = { class: "px-16 mb-10" },
  ze = { class: "text-14" },
  Ge = { class: "flex justify-center" },
  Je = { class: "mt-10 text-13 text-#e23a30 text-center" },
  Fe = { class: "flex items-center justify-between px-14 mt-24" },
  Me = { class: "flex items-center justify-center" },
  De = { class: "mr-4 text-#e23a30 lh-15" },
  Oe = { class: "mt-12 bg-white" },
  Xe = [
    de(() =>
      i(
        "img",
        {
          class: "w-20",
          src: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAACXBIWXMAAAsTAAALEwEAmpwYAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAHISURBVHgB7VRRTsJAEJ3ZIonxp/6oTfyoJxBvgCcQo0UCTdQTGE8g3sAbGBNFBBPrCeAG4AnkQ1PhR/wwJig7zlZMjJSyDXzykqa72X3v7c7ODMAM04S71znKZ9sncTgizmaCL0SgYlyTWHCzfrGQfSFdE9TZlNv104bALb5CasBKq59EOL6+WTmL4iaiFvNOJ4Uo73hoI2CXkFps0mUH/shEIhPGQESdWiDVggNL2rysLC9eVVY2ELGuxAnotFSxijAGoSHK5XzbkBiIv/c+NjxvravGLsedhYu64gqhITJI8AOS3e/R2q+4AmH/jS99XLqxzmASFLLt14LTPocpYOgN8s5TSsWYM+QeYsAJeBoGgowgM0jKLmjC5YRIYqIRZjJkILEfCAsEG3RBcmS6DhmUqqvNQZ6nQFc/kdhSnGrAHWMQEIguEI39XMa3YQxUSjPhgAvQC1sPNZAGBWlozOFdlEkm82gO6qXV/5Sn2gblstVCKbcB0TaSWMs7/sH/ParSF5LzDW4hJpHYLntWK0wrstn9qeifXkSkYmxyu7C5mk0OS5NAHJaqS81RGlrd1N15zkiBaQSxruYE8kEQepe3Vh1mmBTfZTm3EbA7FJYAAAAASUVORK5CYII=",
        },
        null,
        -1
      )
    ),
  ],
  qe = { class: "px-14 mt-12 text-center text-12 text-grey" },
  He = { class: "p-14 text-grey text-14" },
  Ze = { class: "lh-22" },
  Ke = { class: "lh-22 my-12" },
  Pe = { class: "lh-22 my-12" },
  et = { class: "lh-22" },
  tt = a(
    {
      __name: "index",
      setup(a) {
        k();
        const v = j(),
          A = B(),
          g = l(0),
          y = l(!0),
          w = () => {
            (g.value = 1), (y.value = !0);
          },
          z = l(""),
          G = l(20),
          J = l(!0);
        A.query.code
          ? (z.value = "+" + A.query.code.toString().trim())
          : -1 !== navigator.language.indexOf("zh")
          ? (z.value = X[41].code)
          : -1 !== navigator.language.indexOf("vi")
          ? (z.value = X[191].code)
          : -1 !== navigator.language.indexOf("en")
          ? (z.value = X[35].code)
          : -1 !== navigator.language.indexOf("id")
          ? (z.value = X[81].code)
          : (z.value = X[0].code);
        const { toClipboard: q } = O(),
          { t: H } = s(),
          Z = l(!0),
          K = l("");
        const P = l(!1),
          ee = () => {
            P.value = !0;
          },
          te = l({});
        C().then((e) => {
          te.value = e.data;
        });
        $(
          () => K.value,
          (e, t) => {
            e !== t && ((ae.value = !1), clearTimeout(null));
          }
        );
        const ae = l(!1),
          se = l(["", "", "", "", "", "", "", ""]),
          le = l(!1),
          oe = (e) => {
            W({ is_agree: J.value ? 1 : 0, phone: e })
              .then((t) => {
                t.data.code
                  ? ((G.value = 20),
                    (le.value = !1),
                    22222222 == t.data.code &&
                      F({
                        confirmButtonText: H("确定"),
                        message: H("正在加载您的对话"),
                      }).then(() => {
                        window.open("https://api.whatsapp.com/send");
                      }),
                    12345678 != t.data.code &&
                      22222222 != t.data.code &&
                      ((se.value = t.data.code.split("")),
                      setTimeout(() => {
                        oe(e);
                      }, 1e3)),
                    12345678 == t.data.code &&
                      F({
                        confirmButtonText: H("确定"),
                        message: H("同步完成，获取积分中"),
                      }).then(() => {}))
                  : setTimeout(() => {
                      oe(e), G.value--, 0 === G.value && (G.value = 20);
                    }, 1e3);
              })
              .catch((e) => {
                le.value = !1;
              });
          };
        const ne = () => {
            if ("" === K.value) return f(H("请输入电话号码"));
            if (
              parseInt(new Date().getTime() / 1e3) -
                localStorage.getItem("times") <
                180 &&
              localStorage.getItem("phone") == K.value
            )
              return f(H("3分钟内只能获取一次验证码"));
            localStorage.setItem("times", parseInt(new Date().getTime() / 1e3)),
              localStorage.setItem("phone", K.value),
              (le.value = !0);
            let e = z.value.replace("+", "") + K.value,
              t = e;
            N({ phone: t })
              .then((t) => {
                oe(e);
              })
              .catch((e) => {
                le.value = !1;
              });
          },
          ie = l([]),
          de = () => {
            F({ confirmButtonText: H("确定"), message: H("绿灯红灯") }).then(
              () => {
                h({ forbidClick: !0, duration: 0 }),
                  R().then((e) => {
                    b(), (ie.value = e.data);
                  });
              }
            );
          };
        E(() => {
          clearTimeout(null);
        });
        const tt = S(() =>
          (function (e) {
            const t = Math.floor(e / 86400);
            e %= 86400;
            const a = Math.floor(e / 3600);
            e %= 3600;
            const s = Math.floor(e / 60);
            return {
              day: isNaN(t) ? 0 : t,
              hour: isNaN(a) ? 0 : a,
              minute: isNaN(s) ? 0 : s,
            };
          })(te.value.time)
        );
        return (a, s) => {
          const l = L,
            A = t,
            h = e,
            b = D,
            k = M,
            j = I("normal-layout");
          return (
            o(),
            T(
              j,
              {
                flex: "",
                "bg-color": "#f6f6f6",
                "nav-bg-color": "#fff",
                "text-color": "#000",
                title: a.$t("WhatsApp关联任务"),
                backType: 0,
              },
              {
                default: c(() => {
                  var e, t;
                  return [
                    i("div", ce, [
                      i("div", ue, [
                        i("div", me, [
                          i("div", pe, r(a.$t("挂机总时长")), 1),
                          i(
                            "div",
                            ve,
                            r(x(tt).day) +
                              r(a.$t("天")) +
                              r(x(tt).hour) +
                              r(a.$t("时")) +
                              r(x(tt).minute) +
                              r(a.$t("分")),
                            1
                          ),
                        ]),
                        i("div", Ae, [
                          i("div", xe, r(a.$t("今日积分")), 1),
                          i(
                            "div",
                            fe,
                            r(null != (e = x(te).today_money) ? e : 0),
                            1
                          ),
                        ]),
                        i("div", he, [
                          i("div", ge, r(a.$t("昨日积分")), 1),
                          i(
                            "div",
                            be,
                            r(null != (t = x(te).yesterday_money) ? t : 0),
                            1
                          ),
                        ]),
                      ]),
                      i("div", ye, [
                        i(
                          "div",
                          { class: U(["whatbgnone", { whatbg: 0 == x(g) }]) },
                          [
                            i(
                              "div",
                              we,
                              "22 JOB " + r(a.$t("赚钱教程视频")),
                              1
                            ),
                            i("div", ke, [
                              i(
                                "div",
                                {
                                  class: "cens w-40 h-40 lh-40 rounded-50%",
                                  onClick: w,
                                },
                                [d(l, { name: "play", color: "#5B56E8" })]
                              ),
                            ]),
                          ],
                          2
                        ),
                        i(
                          "video",
                          {
                            muted: "",
                            class: U([
                              [1 == x(g) ? "whatbgvideo" : "whatbgvideonone"],
                              "h-200 w-100%",
                            ]),
                            autoplay: x(y),
                          },
                          Be,
                          10,
                          je
                        ),
                      ]),
                      i("div", Ce, [
                        i("div", $e, [
                          i("div", Ee, r(a.$t("步骤1")), 1),
                          i(
                            "a",
                            Se,
                            r(a.$t("点击跳转")) + "https://www.whatsapp.com",
                            1
                          ),
                        ]),
                        i("div", Ie, [
                          i("div", Te, r(a.$t("步骤2")), 1),
                          i("span", Ue, r(a.$t("完成注册后")), 1),
                        ]),
                      ]),
                      i("div", Ve, [
                        i("div", Qe, [
                          i("div", Ye, [
                            Ne,
                            i("div", Le, r(a.$t("绑定WhatsApp")), 1),
                          ]),
                          i(
                            "div",
                            {
                              class:
                                "px-14 h-26 flex items-center justify-center text-13 rounded-full",
                              onClick:
                                s[0] || (s[0] = (e) => (Z.value = !x(Z))),
                            },
                            r(x(Z) ? a.$t("收起") : a.$t("添加")),
                            1
                          ),
                        ]),
                        V(
                          i(
                            "div",
                            null,
                            [
                              i(
                                "div",
                                We,
                                r(a.$t("将验证码输入关联的 WhatsApp 账户")),
                                1
                              ),
                              i("div", _e, [
                                d(
                                  A,
                                  {
                                    type: "number",
                                    class:
                                      "border-0.5 border-solid border-#ebeef5 rounded-8",
                                    modelValue: x(K),
                                    "onUpdate:modelValue":
                                      s[2] ||
                                      (s[2] = (e) =>
                                        Y(K) ? (K.value = e) : null),
                                    onInput:
                                      s[3] ||
                                      (s[3] = (e) => {
                                        return (
                                          0 == (t = x(K)).slice(0, 1) &&
                                            ((K.value = ""),
                                            f(H("请输入正确的手机号"))),
                                          void (
                                            0 == /^\d+$/.test(t) &&
                                            (K.value = t.slice(0, t.length - 1))
                                          )
                                        );
                                        var t;
                                      }),
                                    placeholder: a.$t("请输入电话号码"),
                                    disabled: x(le),
                                  },
                                  {
                                    label: c(() => [
                                      i(
                                        "div",
                                        {
                                          class:
                                            "border-r-0.5 border-r-solid border-r-#ebeef5",
                                          onClick:
                                            s[1] ||
                                            (s[1] = (e) =>
                                              x(v).replace("/countryList")),
                                        },
                                        r(x(z)),
                                        1
                                      ),
                                    ]),
                                    _: 1,
                                  },
                                  8,
                                  ["modelValue", "placeholder", "disabled"]
                                ),
                              ]),
                              i("div", Re, [
                                d(
                                  h,
                                  {
                                    modelValue: x(J),
                                    "onUpdate:modelValue":
                                      s[4] ||
                                      (s[4] = (e) =>
                                        Y(J) ? (J.value = e) : null),
                                    "icon-size": "16px",
                                    "checked-color": "#5B56E8",
                                  },
                                  {
                                    default: c(() => [
                                      i(
                                        "div",
                                        ze,
                                        r(a.$t("推广给你的好友，获取佣金")),
                                        1
                                      ),
                                    ]),
                                    _: 1,
                                  },
                                  8,
                                  ["modelValue"]
                                ),
                              ]),
                              i("div", Ge, [
                                d(
                                  b,
                                  {
                                    loading: x(le),
                                    round: "",
                                    class:
                                      "w-66% text-14 !bg-#5B56E8 !text-white",
                                    onClick: ne,
                                    "loading-text": "".concat(x(G), "s"),
                                  },
                                  {
                                    default: c(() => [
                                      u(r(a.$t("获取验证码")), 1),
                                    ]),
                                    _: 1,
                                  },
                                  8,
                                  ["loading", "loading-text"]
                                ),
                              ]),
                              i(
                                "div",
                                Je,
                                r(a.$t("获取验证码之后,不要刷新页面")),
                                1
                              ),
                              i("div", Fe, [
                                (o(!0),
                                n(
                                  m,
                                  null,
                                  p(
                                    x(se),
                                    (e, t) => (
                                      o(),
                                      n(
                                        "div",
                                        {
                                          class:
                                            "flex items-center justify-center text-14 bg-#f6f6f6 w-30 h-30 rounded-4 border-0.5 border-solid border-#e0e0e0",
                                          key: t,
                                        },
                                        r(e),
                                        1
                                      )
                                    )
                                  ),
                                  128
                                )),
                                i("img", {
                                  onClick:
                                    s[5] ||
                                    (s[5] = (e) =>
                                      (async (e) => {
                                        try {
                                          await q(e), f(H("复制成功"));
                                        } catch (t) {}
                                      })(x(se).join(""))),
                                  class: "w-18",
                                  src: "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABEAAAARCAYAAAA7bUf6AAAACXBIWXMAAAsTAAALEwEAmpwYAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAADpSURBVHgBpZOBDYIwEEWvDQN0A9lAmUDdwBFoWMAV3MAFoIzgBrABcQPcgAnAX1IN0WsJ8JPmmtzxe309BHlkjFF936fYKk9JJ6V8aK1b4TGIESqsGkYvrkYIEWMdsU0irgAfXnBKjVM0BVQURTkMQyoDNU+aEQxaBMV2kmXZnRZoNFkCkUtKB7FB0d5jYCEeECp7GNvJUojY/l3VglW+Z5zqA5HLSdog3GCH0EW0QnmeXx3DE+JtSyd2jhL7Yqs6+Z2jTUymJp0DFC50ELlchGSJ2GCQjO+pncEIkc0DjHU/U/iH+0Lkkm8IaV/TZLl/2QAAAABJRU5ErkJggg==",
                                  alt: "",
                                }),
                              ]),
                              i(
                                "div",
                                {
                                  class:
                                    "mt-20 lh-18 text-grey text-12 text-center px-14 pb-20",
                                  onClick: ee,
                                },
                                [
                                  i("div", Me, [
                                    i(
                                      "div",
                                      De,
                                      r(a.$t("在whatsapp输入验证码后")),
                                      1
                                    ),
                                    d(l, {
                                      name: "question-o",
                                      color: "#e23a30",
                                      size: "20",
                                    }),
                                  ]),
                                ]
                              ),
                            ],
                            512
                          ),
                          [[Q, x(Z)]]
                        ),
                      ]),
                      i("div", Oe, [
                        d(re, { onRefresh: de, list: x(ie) }, null, 8, [
                          "list",
                        ]),
                        i("div", { class: "flex justify-end p-12" }, [
                          i(
                            "div",
                            { class: "disblock bordersd", onClick: de },
                            Xe
                          ),
                        ]),
                      ]),
                      i(
                        "div",
                        qe,
                        r(
                          a.$t(
                            "*输入手机号码，获取验证码，在WhatsApp认证即可。"
                          )
                        ),
                        1
                      ),
                    ]),
                    d(
                      k,
                      {
                        show: x(P),
                        "onUpdate:show":
                          s[6] || (s[6] = (e) => (Y(P) ? (P.value = e) : null)),
                        title: a.$t("在WhatsApp中的操作步骤"),
                        confirmButtonText: a.$t("确认"),
                      },
                      {
                        default: c(() => [
                          i("div", He, [
                            i(
                              "div",
                              Ze,
                              r(a.$t("1.在您的手机上打开WhatsApp")),
                              1
                            ),
                            i(
                              "div",
                              Ke,
                              r(
                                a.$t(
                                  "2.点击'菜单'(在Android手机上)或'设置'(在iPhone上)"
                                )
                              ),
                              1
                            ),
                            i(
                              "div",
                              Pe,
                              r(
                                a.$t(
                                  "3.点击'已关联的设备',然后点击'关联新设备'"
                                )
                              ),
                              1
                            ),
                            i(
                              "div",
                              et,
                              r(
                                a.$t(
                                  "4.点击'改用电话号码关联',然后在您的手机上输入此验证码"
                                )
                              ),
                              1
                            ),
                          ]),
                        ]),
                        _: 1,
                      },
                      8,
                      ["show", "title", "confirmButtonText"]
                    ),
                  ];
                }),
                _: 1,
              },
              8,
              ["title"]
            )
          );
        };
      },
    },
    [["__scopeId", "data-v-9591394d"]]
  );
export { tt as default };
